SDL_CreateGPURenderState(3)

NAME
SDL_CreateGPURenderState - Create custom GPU render state.

SYNOPSIS
#include <SDL3/SDL_render.h>

SDL_GPURenderState * SDL_CreateGPURenderState(SDL_Renderer *renderer, const SDL_GPURenderStateCreateInfo *createinfo);

FUNCTION PARAMETERS

renderer
    the renderer to use.

createinfo
    a struct describing the GPU render state to create.

RETURN VALUE
Returns a custom GPU render state or NULL on failure; call SDL_GetError() for more information.

THREAD SAFETY
This function should be called on the thread that created the renderer.

AVAILABILITY
This function is available since SDL 3.4.0.

SEE ALSO
SDL_SetGPURenderStateFragmentUniforms(3), SDL_SetGPURenderState(3), SDL_DestroyGPURenderState(3)